Bug Hunting Session
Bug 126043 - Tools -> Customize has a nagging delay of 3 seconds on each opening
Summary: Tools -> Customize has a nagging delay of 3 seconds on each opening
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2019-06-21 16:54 UTC by Telesto
Modified: 2019-12-02 15:09 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-06-21 16:54:53 UTC
Description:
Tools -> Customize has a nagging delay of 3 seconds on each opening

Steps to Reproduce:
1. Open Writer
2. Tools -> Customize (open the dialog 2-3 times). First maybe a little slower.. (initialization) 

Actual Results:
3 seconds before dialog

Expected Results:
1 - 1.5 seconds


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.4.0.0.alpha0+ (x86)
Build ID: 60271c4433372097ef5ecc74e522532ebf5af8e0
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-19_05:53:39
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded

but not in
6.0.4
Comment 1 Durgapriyanka 2019-06-21 19:53:08 UTC
Thank you for reporting the bug.

I can confirm the bug in
Version: 6.3.0.0.alpha0+
Build ID: b6b28931435e44aca92b8c0e1659f701e3ed1a87
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-30_06:57:04
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

But,cannot reproduce in 
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 Muhammet Kara 2019-11-14 15:00:09 UTC
So does it also happen on GNU/Linux systems?
Comment 3 V Stuart Foote 2019-11-14 15:16:14 UTC
Not seeing an issue with this ~3 sec delay opening the 'Customize' dialog, i.e. once customization is completed to ones liking--it is mostly left alone.

A ~3 sec delay to populate the interface is acceptable. And as we have exposed a lot of new content in the dialog I don't see this as a regression. What would you bibisect for?

So yes it could possibly be faster, e.g. as now opening 'Expert Configuration' tree takes only ~1 sec, but don't think folks would want to deal with that table style configuration for the content now held in GUI panels of the 'Customize' dialog.

IMHO => NAB and WF
Comment 4 Heiko Tietze 2019-11-15 08:10:53 UTC
(In reply to Muhammet Kara from comment #2)
> So does it also happen on GNU/Linux systems?

With stable release <1s, with master (build with debug info) it takes >5s. At least we have to give some feedback with the sand hour cursor.
Comment 5 Aron Budea 2019-11-16 06:21:49 UTC
This regressed in four steps:

I. In 6.3 it started at ~1s, which increased to ~1.4s, then to ~1.8s.

II. In 6.4 the ~1.6-1.8s first increased to ~2.1s, then to ~2.6s.

Bibisected using repos bibisect-linux-64-6.3 and bibisect-linux-64-6.4.

I / 1.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ccb2b0078f07194befa61f1e3fd88e53ff236871
author		Caolán McNamara <caolanm@redhat.com>	2019-03-04 17:31:24 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-03-11 10:00:31 +0100

"weld SvxMenuConfigPage/SvxToolbarConfigPage"

I / 2.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3a42ee3284df7020ef111293a4d11148c1bf3a50
author		Caolán McNamara <caolanm@redhat.com>	2019-03-08 09:06:21 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-03-11 15:37:05 +0100

"weld SvxConfigDialog"

II / 1.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=015dc88a595c1c92d2b724cd868aecb07199f995
author		Sumit Chauhan <sumitcn25@gmail.com>	2019-05-31 14:59:54 +0530
committer	Szymon Kłos <szymon.klos@collabora.com>	2019-06-14 15:17:33 +0200

"UI for the Notebookbar Customization tab"

II / 2.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=9105b85c708f42024ce063b9a944466c0afdfe9a
author		Sumit Chauhan <sumitcn25@gmail.com>	2019-06-28 14:17:58 +0530
committer	Szymon Kłos <szymon.klos@collabora.com>	2019-06-28 21:15:00 +0200

"Category Target and Function Target enhanced in customization Tab"
Comment 6 Commit Notification 2019-11-25 08:56:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/278a365c68e0878ef2e443deffa281f2edf57e9a

Related: tdf#126043 use fastest png compression ratio

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-11-25 15:14:48 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7c949066e6aae6ffe3b88d6500e70cdb7cc03b69

tdf#126043 load the xml just once

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-11-26 08:56:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/e4de3a1823f93090e12a192ebe60f786af2fa901

tdf#126043 cache the appname and filename

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-11-26 08:56:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/35de720fcb3154cb0511b3aae8b99f20fc6712c9

tdf#126043 cache the appname and filename

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-11-26 12:53:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3b0d29f1461c97c0c812a500b3414b9a50d694ff

tdf#126043 fetch the command properties just once

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-11-26 12:53:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9426162a3b24732167e4fa7aa2fa6ee19d33e7e9

tdf#126043 use CommandInfoProvider::GetModuleIdentifier

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-11-26 12:53:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6e6233a5d0940e5bbdb346142091b0ae2e54e640

tdf#126043 identify the frame module just once

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-11-26 13:24:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/300ffc649aaa555bba19a0475d74067c9574fc04

tdf#126043 freeze/thaw around bulk insert

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-11-26 13:25:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/df701c92f3f8071d1dd6df70898c33d99e905e7e

tdf#126043 drop intermediate OUString

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2019-11-26 13:27:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b8cbe67fa4c9fe63ff54e408cd64d885d4c21331

tdf#126043 we can use the stock attribute to skip an intermediate Bitmap

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2019-11-26 13:27:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f54a8c6aafac53902b144f5125665644e9a50497

tdf#126043 don't bother converting to OUString

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2019-11-26 13:29:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/380b322b986720f155edac62b70b0d7aa40c16b7

tdf#126043 module identifier already known

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2019-11-26 14:36:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9b6b134b3e605236e90aca089867f08d659a6076

tdf#126043 use bulk_insert_for_each

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2019-11-26 15:32:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ea31d3cc8566eeb9d3dbf55b385d8c619daaddf9

tdf#126043 we can use the stock attribute to skip an intermediate Bitmap

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2019-11-26 15:48:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/b509d72a79a8c64d03ea8f91c69c58a24e0b2dc7

tdf#126043 fetch the command properties just once

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2019-11-26 20:13:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/5eab437c406a2e445baf174bf2c2ad21e663ef2e

tdf#126043 use CommandInfoProvider::GetModuleIdentifier

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2019-11-26 23:28:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/05734503ed36cff64cfaac8afb7c6df5eced8873

tdf#126043 use another bulk_insert_for_each

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2019-11-27 08:59:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/c30dde552ad6420a655fd9f440fd68bff556d19a

tdf#126043 drop intermediate OUString

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2019-11-27 09:01:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/e84acb8c5829775cb9d5d1115bbcb1b61bd260ee

tdf#126043 identify the frame module just once

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2019-11-27 09:01:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/de5db9314c62859b06dd2bb7bd204d5db4821cf1

tdf#126043 freeze/thaw around bulk insert

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2019-11-27 10:18:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/a07f537b2b0e80021612451083338bd0e12da723

tdf#126043 module identifier already known

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2019-11-27 12:33:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/7e25c7c6fb0574ca6ebd4abc403104fe89f28074

tdf#126043 don't bother converting to OUString

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2019-11-28 08:55:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/a655117db4b25f8b06a947295058e7257e3b45dd

tdf#126043 load the xml just once

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2019-11-28 10:33:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/581f3e4ad80a664a2f51f50523db403d0ae1eeaf

tdf#126043 use bulk_insert_for_each

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2019-11-28 12:53:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/7f1a82783ce1bfad08fcf39025c985c56fc3d90f

tdf#126043 use another bulk_insert_for_each

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Caolán McNamara 2019-11-28 12:55:52 UTC
I think that's as good as I can make it anyway
Comment 32 Heiko Tietze 2019-11-28 13:28:30 UTC
(In reply to Caolán McNamara from comment #31)
> I think that's as good as I can make it anyway

Given the number of patches it's blazingly fast now. :-)
Comment 33 Muhammet Kara 2019-11-28 14:34:19 UTC
(In reply to Caolán McNamara from comment #31)
> I think that's as good as I can make it anyway

It is good enough for me. :) Thank you!
Comment 34 Xisco Faulí 2019-12-02 15:09:11 UTC
(In reply to Muhammet Kara from comment #33)
> (In reply to Caolán McNamara from comment #31)
> > I think that's as good as I can make it anyway
> 
> It is good enough for me. :) Thank you!

Setting to VERIFIED Then